# cv::DataType< Vec< _Tp, cn > > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Types

enum | { generic_type = 0, depth = DataDepth<channel_type>::value, channels = cn, fmt = ((channels-1)<<8) + DataDepth<channel_type>::fmt, type = CV_MAKETYPE(depth, channels) }
typedef _Tp | channel_type
typedef Vec< _Tp, cn > | value_type
typedef value_type | vec_type
typedef Vec< typename DataType < _Tp >::work_type, cn > | work_type

### template<typename _Tp, int cn>
class cv::DataType< Vec< _Tp, cn > >

## Member Typedef Documentation

template<typename _Tp , int cn>

typedef _Tp cv::DataType< Vec< _Tp, cn > >::channel_type

template<typename _Tp , int cn>

typedef Vec<_Tp, cn> cv::DataType< Vec< _Tp, cn > >::value_type

template<typename _Tp , int cn>

typedef value_type cv::DataType< Vec< _Tp, cn > >::vec_type

template<typename _Tp , int cn>

typedef Vec<typename DataType<_Tp>::work_type, cn> cv::DataType< Vec< _Tp, cn > >::work_type

## Member Enumeration Documentation

template<typename _Tp , int cn>

anonymous enum

Enumerator:

  generic_type |
  depth |
  channels |
  fmt |
  type |

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines